package inria.meije.rc.io;

import inria.meije.rc.sugarcubes.*;

public class PrintTime extends Atom
{
    static long cpt = 0;
    String msg;

    public PrintTime () {this("");}
    public PrintTime (String st) {msg = st;}

    protected void action(Context context){
        long last = cpt;
        cpt = System.currentTimeMillis();
        System.out.println (msg+" (d: "+(cpt-last)+")");
    }
    public boolean equals(Instruction inst){
        return super.equals(inst) && msg.equals(((PrintTime)inst).msg);
    }
}
